Alembic Version 1.1

Loading...
Searching...
No Matches
Alembic::Abc::ALEMBIC_VERSION_NS::ErrorHandler::Context Class Reference

`#include <ErrorHandler.h>`

## Public Member Functions
| Context (ErrorHandler &iEhnd, const char *iCtxMsg)
void | operator() (std::exception &iExc)
void | operator() (const std::string &iMsg)
void | operator() (UnknownExceptionFlag iUef)

## Detailed Description

Definition at line 92 of file ErrorHandler.h.

## Constructor & Destructor Documentation

## ◆ Context()

Alembic::Abc::ALEMBIC_VERSION_NS::ErrorHandler::Context::Context | ( | ErrorHandler & | iEhnd,
|  | const char * | iCtxMsg )
| inline

Definition at line 95 of file ErrorHandler.h.

References Alembic::Abc::ALEMBIC_VERSION_NS::ErrorHandler::ErrorHandler().

Here is the call graph for this function:

## Member Function Documentation

## ◆ operator()() [1/3]

void Alembic::Abc::ALEMBIC_VERSION_NS::ErrorHandler::Context::operator() | ( | const std::string & | iMsg | ) |
| inline

Definition at line 104 of file ErrorHandler.h.

## ◆ operator()() [2/3]

void Alembic::Abc::ALEMBIC_VERSION_NS::ErrorHandler::Context::operator() | ( | std::exception & | iExc | ) |
| inline

Definition at line 99 of file ErrorHandler.h.

## ◆ operator()() [3/3]

void Alembic::Abc::ALEMBIC_VERSION_NS::ErrorHandler::Context::operator() | ( | UnknownExceptionFlag | iUef | ) |
| inline

Definition at line 109 of file ErrorHandler.h.

The documentation for this class was generated from the following file:

- opt/local/include/Alembic/Abc/ErrorHandler.h